Skip to main content
GET
List users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[number]
integer
page[size]
integer
filter[email]
string
filter[created_at][gt]
string
filter[created_at][gte]
string
filter[created_at][lt]
string
filter[created_at][lte]
string
filter[scim_managed]
boolean

true returns only users whose membership in this organization is managed by SCIM, including users synced in by a linked organization's SCIM integration, false returns only users whose membership isn't. Other values are ignored.

filter[role_id]
string

Returns only users whose Incident Response role matches. Accepts one role ID or a comma-separated list. Role IDs come from GET /v1/roles.

filter[on_call_role_id]
string

Returns only users whose On-Call role matches. Accepts one On-Call role ID or a comma-separated list. On-Call role IDs come from GET /v1/on_call_roles.

sort
enum<string>

comma separated if needed. eg: created_at,updated_at

Available options:
created_at,
-created_at,
updated_at,
-updated_at
include
enum<string>

comma separated if needed. eg: email_addresses,phone_numbers

Available options:
email_addresses,
phone_numbers,
devices,
role,
on_call_role,
teams,
schedules,
notification_rules

Response

user found

data
object[]
required
meta
object
required
included
object[]